#!/usr/bin/python
#coding:UTF-8

def entrer_chiffre(texte):
    variable = False
    
    while(not variable):
        try:
            temp = raw_input(texte)
            variable = float(temp)
            return variable
            
        except ValueError:
            print "Veuillez entrer une valeur numérique."

OK = False
nom_fich = 'coefficients.txt'

a = raw_input("\nParamètres par défaut ? [o/n] : ")

if a=='n':
    v_max = entrer_chiffre("\tvitesse max (m/s) ? ")
    tau_demi = entrer_chiffre("\tTemps de demi décélération (s) ? ")
    R_courbure_cap = entrer_chiffre("\tRayon de courbure en cap (m) ? ")
    R_courbure_theta = entrer_chiffre("\tRayon de courbure en plongée (m) ? ")
    OK = True
    
elif a=='o':
    v_max = 7.
    tau_demi = 10. # temps pour perdre la moitié de la vitesse
    R_courbure_cap = 15.
    R_courbure_theta = 100.
    OK = True

if OK:
    f = open(nom_fich,'w')
    alpha_v 	= 1./(tau_demi*v_max)  # théoriquement 0.08
    beta_v	 	= v_max/tau_demi     # théoriquement 0.5
    gamma_psi 	= 1/R_courbure_cap  # 90° de virage en 10 secondes
    delta_theta = 1/R_courbure_theta  # 45° de plongée en 15 s
    dzeta_phi 	= 1     # passer à 0 pour retirer la simulation du roulis
    eta_phi 	= 0.1
    
    f.write(    "alpha_v\t\t= %g\n\
beta_v\t\t= %g\n\
gamma_psi\t= %g\n\
delta_theta\t= %g\n\
dzeta_phi\t= %g\n\
eta_phi\t\t= %g\n"%(alpha_v, beta_v, gamma_psi, delta_theta, dzeta_phi, eta_phi))
    
    print nom_fich+" créé\n"
    
else:
    print "Terminaison du programme\n"
        
